
Redmine - Defect #5834

Emails with trailing spaces incorrectly detected as invalid

2010-07-07 21:13 - Ryan Cross

Status: Closed Start date: 2010-07-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.50 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

currently using 0.9.5.stable.3830

I originally thought this was a problem with email addresses with a "." in them, where the validation incorrectly identifies this as an

invalid email address. (I think this was the problem in 0.9.3, but I have since updated)

Email addresses with a trailing space(s) are being flagged as invalid. I think it would be better to simply trim any extra space from the

input field before validating/saving.

Associated revisions

Revision 3873 - 2010-07-25 11:50 - Jean-Philippe Lang

Strips user email (#5834).

History

#1 - 2010-07-22 06:15 - Carin Meier

- File 0002-Defect-5834-remove-trailing-whitespace-from-mail-bef.patch added

- File 0001-Defect-5834-remove-trailing-whitespace-from-mail-bef.patch added

- Status changed from New to Resolved

I have added patches to strip the trailing spaces from the mail before validation and save.

(This is my first contribution - so please let me know if I am missing anything - Thanks!)

#2 - 2010-07-25 11:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version set to 1.0.1

- Resolution set to Fixed

Fixed in r3873.

Files

0002-Defect-5834-remove-trailing-whitespace-from-mail-bef.patch 1.24 KB 2010-07-22 Carin Meier

0001-Defect-5834-remove-trailing-whitespace-from-mail-bef.patch 904 Bytes 2010-07-22 Carin Meier
